﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Windows.Data;

namespace xamDataChart_CustomTickmarks
{
    public class TicksConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            double labelValue = (double)value;
            
            // Since I set label values to be multiples of 10 up to 100, it's easy to tell when a label is not one of these.  I use
            // this fact to determine when to format the label to be 100.
            if (labelValue % 10 != 0)
                labelValue = 100.0;

            return labelValue;
        }

        public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }
}
